For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Create Shared Connection

POST
https://app.polytomic.com/api/connections/:parent_connection_id/share
POST
/api/connections/:parent_connection_id/share
$curl -X POST https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/share \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "child_organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
>}'
1{
2 "data": {
3 "id": "248df4b7-aa70-47b8-a036-33ac447e668d"
4 }
5}

Shares a connection with another organization in the caller’s partner account.

🚧 Requires partner key

Shared connections can only be created by using partner keys.

Was this page helpful?
Previous

List Shared Connections

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

parent_connection_idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
child_organization_idstringRequiredformat: "uuid"
namestringOptional

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error